<template>
  <div class="app-container">
    <el-card shadow="always" style="width: 55%; margin: 0 auto">
      <ExpertForm
        v-model="form"
        :isAdd="false"
        :labelWidth="labelWidth"
        ref="expertFormRef"
      />
      <div :style="{ marginLeft: labelWidth + 'px' }">
        <el-button @click="$router.go(-1)">取消</el-button>
        <el-button type="primary" @click="submitForm">提交</el-button>
      </div>
    </el-card>
  </div>
</template>
<script setup>
import { insertCasExpert } from "@/api/identity/index";
import ExpertForm from "@/views/components/ExpertForm";
import { ElMessage } from "element-plus";
import { useRouter } from "vue-router";

const router = useRouter();
const labelWidth = 140;
const form = reactive({
  gender: 1,
});
const expertFormRef = ref();
const submitForm = async (status) => {
  if (await expertFormRef.value.validateForm()) {
    form.area = form.district;
    await insertCasExpert(form);
    ElMessage.success("申请已提交");
    router.back();
  } else {
    console.log("校验未通过");
  }
};
</script>
